Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 338209 - sys-libs/libsafe does not respect LDFLAGS
Summary: sys-libs/libsafe does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-20 17:14 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2013-03-15 13:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (libsafe-2.0_p16-r2:20100920-144746.log,3.67 KB, text/plain)
2010-09-20 17:14 UTC, Diego Elio Pettenò (RETIRED)
Details
fixed sed statement to correctly use LDFLAGS, also stopped the sed statement from mangling -O2 Cflag (libsafe-2.0_p16-r2.ebuild.patch,487 bytes, patch)
2010-09-21 05:01 UTC, Ross Smith
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-20 17:14:41 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)

[Uhm is it just me or fortify now replaces this?]
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-20 17:14:54 UTC
Created attachment 248172 [details]
Build log
Comment 2 Ross Smith 2010-09-21 05:01:56 UTC
Created attachment 248247 [details, diff]
fixed sed statement to correctly use LDFLAGS, also stopped the sed statement from mangling -O2 Cflag

The LDFLAGS variable was misspelled.  I fixed that, and changed the CFLAGS sed statement to not mangle -O2.   This ebuild already inherits flag-o-matic eclass, which contains a filter-flags function if this program really needs a CFLAG removed.
Comment 3 Sergey Popov gentoo-dev Security 2013-03-15 13:15:22 UTC
+  15 Mar 2013; Sergey Popov <pinkbyte@gentoo.org> +libsafe-2.0_p16-r3.ebuild:
+  Revision bump: EAPI 5, epatch_user, use readme.gentoo eclass, respect
+  LDFLAGS, wrt bug #338209